<?php

if (empty($_GET['elid'])) {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=domain.edit&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (empty($_POST['submit'])) {
        echo '<div class="menu"><img src="images/t-new.png" alt="." />Создание доменного имени' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=domain.edit" method="post">' . "\n";
        echo 'Доменное имя:<br />' . "\n";
        echo '<input name="name" /><br />' . "\n";
        echo 'IP адрес:<br />' . "\n";
        echo '<input name="ip" value="5.63.153.146" /><br />' . "\n";
        echo 'Серверы имён:<br />' . "\n";
        echo '<input name="ns" value="' . htmlentities((string)$parse_xml->ns, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo 'Почтовые серверы:<br />' . "\n";
        echo '<input name="mx" value="' . htmlentities((string)$parse_xml->mx, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo '<input type="checkbox" name="webdomain" value="on" /> Создать WWW домен<br />' . "\n";
        echo '<input type="checkbox" name="maildomain" value="on" /> Создать почтовый домен<br />' . "\n";
        echo '<input name="submit" type="submit" value="Создать" />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=domain">Вернуться</a><br />' . "\n";
        echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
    } else {
        $webdomain = isset($_POST['webdomain'])?'on':'';
        $maildomain = isset($_POST['maildomain'])?'on':'';
        $content = api_query('https://' . $server . '/manager/ispmgr?func=domain.edit&name=' . urlencode($_POST['name']) . '&ip=5.63.153.146'&ns=' . urlencode($_POST['ns']) . '&mx=' . urlencode($_POST['mx']) . '&webdomain=' . $webdomain . '&maildomain=' . $maildomain . '&sok=ok&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            if ($webdomain == 'on') {
                echo 'Подождите несколько секунд, для перезагрузки сервера, и нажмите &quot;продолжить&quot;.<br />' . "\n";
            }
            echo 'Доменное имя успешно создано!<br />' . "\n";
            echo '<a href="?func=domain">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
            if ($webdomain == 'on') {
                api_query('https://' . $server . '/manager/ispmgr?func=restart&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
            }
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при создании доменного имени!<br />' . "\n";
            echo '<a href="?func=domain">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=domain.edit&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (empty($_POST['submit'])) {
        echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение доменного имени' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=domain.edit&amp;elid=' . urlencode($_GET['elid']) . '" method="post">' . "\n";
        echo 'Доменное имя:<br />' . "\n";
        echo '<input name="name" value="' . htmlentities((string)$parse_xml->name, ENT_QUOTES, 'UTF-8') . '" readonly="readonly" /><br />' . "\n";
        echo 'IP адрес:<br />' . "\n";
        echo '<input name="ip" value="' . htmlentities((string)$parse_xml->ip, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo 'Серверы имён:<br />' . "\n";
        echo '<input name="ns" value="' . htmlentities((string)$parse_xml->ns, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo 'Почтовые серверы:<br />' . "\n";
        echo '<input name="mx" value="' . htmlentities((string)$parse_xml->mx, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo '<input name="submit" type="submit" value="Изменить" />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=domain">Вернуться</a><br />' . "\n";
        echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
    } else {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=domain.edit&elid=' . urlencode($_GET['elid']) . '&name=' . urlencode($_POST['name']) . '&ip=5.63.153.146&ns=' . urlencode($_POST['ns']) . '&mx=' . urlencode($_POST['mx']) . '&sok=ok&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Доменное имя успешно изменено!<br />' . "\n";
            echo '<a href="?func=domain">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при изменении доменного имени!<br />' . "\n";
            echo '<a href="?func=domain">Продолжить</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }
}

?>